#ifndef SERVERSETTING_H
#define SERVERSETTING_H

#include <QWidget>
#include "tchttpservice.h"

namespace Ui {
class ServerSetting;
}

class ServerSetting : public QWidget
{
    Q_OBJECT

public:
    explicit ServerSetting(QWidget *parent = nullptr);
    ~ServerSetting();

signals:
    void okClicked(QString addr, quint16 port);

private slots:
    void on_btnOk_clicked();

private:
    Ui::ServerSetting *ui;

private:
    void initForm();
    void initWidget();
};

#endif // SERVERSETTING_H
